package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbUserCoupon;
import com.yongqi.xinrenli.domain.vo.DbUserCouponVo;
import com.yongqi.xinrenli.domain.bo.DbUserCouponBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户优惠券关联Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbUserCouponService {

    /**
     * 查询用户优惠券关联
     */
    DbUserCouponVo queryById(Long id);

    /**
     * 查询用户优惠券关联列表
     */
    TableDataInfo<DbUserCouponVo> queryPageList(DbUserCouponBo bo, PageQuery pageQuery);

    /**
     * 查询用户优惠券关联列表
     */
    List<DbUserCouponVo> queryList(DbUserCouponBo bo);

    /**
     * 新增用户优惠券关联
     */
    Boolean insertByBo(DbUserCouponBo bo);

    /**
     * 修改用户优惠券关联
     */
    Boolean updateByBo(DbUserCouponBo bo);

    /**
     * 校验并批量删除用户优惠券关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
